//
//  BJPUSignInModel.h
//  BJVideoPlayerUI
//
//  Created by ney on 2023/10/18.
//  Copyright © 2023 BaijiaYun. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <BJLiveBase/BJLYYModel.h>

NS_ASSUME_NONNULL_BEGIN

@interface BJPUSignInModel: NSObject <BJLYYModel>
@property (nonatomic, readonly) NSTimeInterval timeOffset;
@property (nonatomic, copy, readonly, nullable) NSString *title;
@property (nonatomic, copy, readonly, nullable) NSString *titleIconURLString;
@property (nonatomic, copy, readonly, nullable) NSString *message;
@property (nonatomic, copy, readonly, nullable) NSString *buttonText;

+ (instancetype)modelWithTimeOffset:(NSTimeInterval)timeOffset
                              title:(nullable NSString *)title
                               icon:(nullable NSString *)icon
                            message:(nullable NSString *)message
                         buttonText:(nullable NSString *)buttonText;
@end

NS_ASSUME_NONNULL_END
