//
//  MBProgressHUD+bjp.h
//  BJPlaybackCore
//
//  Created by 辛亚鹏 on 2017/3/17.
//  Copyright © 2017年 Baijia Cloud. All rights reserved.
//

#import <BJLiveBase/BJLProgressHUD.h>

@interface BJLProgressHUD (bjp)

+ (void)bjp_showMessageThenHide:(NSString *)msg toView:(UIView *)view onHide:(void (^)(void))onHide;

+ (void)bjp_showMessageThenHide:(NSString *)msg
                         toView:(UIView *)view
                        yOffset:(CGFloat)offset
                         onHide:(void (^)(void))onHide;

/**
 *  显示加载中，以及文本消息
 *
 *  @param msg  消息内容，如果为nil，则只显示loading图
 *  @param view 所在的superview
 *
 *  @return 返回当前hud，方便之后hide
 */
+ (BJLProgressHUD *)bjp_showLoading:(NSString *)msg
                             toView:(UIView *)view;

+ (void)bjp_closeLoadingView:(UIView *)toView;

@end
