//
//  BJPUViewController+ui.h
//  BJVideoPlayerUI
//
//  Created by HuangJie on 2018/3/8.
//

#import "BJPUViewController.h"
#import <BJVideoPlayerCore/BJVTripartiteLayoutInfo.h>

@interface BJPUViewController (ui)

- (void)setupSubviews;
- (void)makeAlbumEmptyView;
- (void)_setupCatalogueView:(NSArray<BJVVideoCatalogueItem *> *)list;
- (void)_updateConstriantsWithTripartiteLayoutInfo:(BJVTripartiteLayoutInfo *)tripartiteLayoutInfo;
- (void)_updateConstriantsForCommentsVC:(BOOL)enableVideoComment;
- (void)_updateConstriantsWithLayoutType:(BJVPlayerViewLayoutType)layoutType;
- (void)_updatePlayerViewConstraintWithVideoRatio:(CGFloat)ratio;
- (void)_updateWithPlayState:(BJVPlayerStatus)state;
- (void)_updateVSubtitleButtonConstriants:(BOOL)subtitleExist;
- (void)_audoAdjustPlayerViewContainerRatio;
@end
